#!/bin/sh
# ----------------------------------------------------------------------------
# /var/install/config.d/linknx.sh - configuration update script
#
# Creation   :  2015-08-26 Tom Schulz, tom_strike(at)gmx(dot)de
# Last Update:  2015-08-27 Tom Schulz
#
# Copyright (c) 2015-08-26 Tom Schulz, tom_strike(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# include configlib for using printvar
. /var/install/include/configlib

# include eislib
. /var/install/include/eislib

# set packages name
packageName=linknx

# include package configuration
. /etc/config.d/linknx

# set init script position
package_pos=85

# define package positions of start script
package_start='S'${package_pos}${packageName}

rm -f /etc/rc2.d/S??${packageName}

if [ "$START_LINKNX" == "yes" ] ; then
    ln -sf /etc/init.d/${packageName} /etc/rc2.d/${package_start}
fi

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
